Skip to content

Create Bundle Option

POST https://api.secure.quotivity.com/v1/bundles/{bundleId}/options

Creates a new option for a bundle. Options can be INCLUDED (required) or ADD_ON (optional). Products can be added inline.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
bundleId string Yes —

Required, application/json: CreateBundleOptionRequest

Status Body Description
201 BundleOption Bundle option created successfully
400 — Invalid request
401 — Unauthorized
500 — Internal Server Error
Field Type Required Description
id string Yes —
accountId string Yes —
bundleId string Yes —
name string Yes —
description string No —
priceBookId string Yes —
displayOrder number Yes —
configuration BundleOptionConfiguration Yes —
Field Type Required Description
minCount number No —
maxCount number No —
defaultOptionProductId string No —
Field Type Required Description
name string Yes —
description string No —
type ADD_ON | INCLUDED Yes —
products object[] No —